NAMED-CHECKCONF(8)

NAME
named-checkconf - named configuration file syntax checking tool

SYNOPSIS

named-checkconf [-v] [-j] [-t directory] {filename} [-z]

DESCRIPTION

named-checkconf checks the syntax, but not the semantics, of a named configuration file.

OPTIONS

-t directory
    Chroot to directory so that include directives in the configuration file are processed as if run by a similarly chrooted named.

-v
    Print the version of the named-checkconf program and exit.

-z
    Perform a test load of all master zones found in named.conf.

-j
    When loading a zonefile read the journal if it exists.

filename
    The name of the configuration file to be checked. If not specified, it defaults to /usr/local/etc/named.conf.

RETURN VALUES

named-checkconf returns an exit status of 1 if errors were detected and 0 otherwise.

SEE ALSO

named(8), named-checkzone(8), BIND 9 Administrator Reference Manual.

AUTHOR

Internet Systems Consortium

COPYRIGHT
Copyright © 2004, 2005, 2007 Internet Systems Consortium, Inc. ("ISC")
Copyright © 2000-2002 Internet Software Consortium.